task mergeBed {
	Array[File] snv_true_bed
	Array[File] snv_false_bed
	Array[File] indel_true_bed
	Array[File] indel_false_bed
	Array[File]	indel_padding
	Array[File] snv_padding
	String docker
	String cluster_config
	String disk_size
	
	command <<<

	/opt/ccdg/bedtools-2.27.1/bin/bedtools multiinter -i ${sep=" " snv_true_bed} ${sep=" " indel_true_bed}  > merged.true.bed

	/opt/ccdg/bedtools-2.27.1/bin/bedtools multiinter -i ${sep=" " snv_false_bed} ${sep=" " indel_false_bed}  > merged.false.bed

	/opt/ccdg/bedtools-2.27.1/bin/bedtools multiinter -i ${sep=" " snv_padding} ${sep=" " indel_padding}  > merged.padding.bed	

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File true_bed = "merged.true.bed"
		File false_bed = "merged.false.bed"
		File padding = "merged.padding.bed"
	}
}

