task sister {
	File violation_vcf_gz
	File violation_vcf_idx
	File consistent_vcf_gz
	File consistent_vcf_idx
	File sister_vcf_gz
	File sister_vcf_idx
	File sdf
	String child_name
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		rtg vcfeval -b ${sister_vcf_gz} -c ${violation_vcf_gz} -o violation -t ${sdf}

		rtg vcfeval -b ${sister_vcf_gz} -c ${consistent_vcf_gz} -o consistent -t ${sdf}

		mv violation/tp.vcf.gz ${child_name}.violation.sister.vcf.gz
		mv violation/fp.vcf.gz ${child_name}.violation.nonsister.vcf.gz
		mv violation/tp.vcf.gz.tbi ${child_name}.violation.sister.vcf.gz.tbi
		mv violation/fp.vcf.gz.tbi ${child_name}.violation.nonsister.vcf.gz.tbi
		mv violation/summary.txt ${child_name}.violation.summary.txt

		mv consistent/tp.vcf.gz ${child_name}.consistent.sister.vcf.gz
		mv consistent/fp.vcf.gz ${child_name}.consistent.nonsister.vcf.gz
		mv consistent/tp.vcf.gz.tbi ${child_name}.consistent.sister.vcf.gz.tbi
		mv consistent/fp.vcf.gz.tbi ${child_name}.consistent.nonsister.vcf.gz.tbi		
		mv consistent/summary.txt ${child_name}.consistent.summary.txt
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File child_violation_sister = "${child_name}.violation.sister.vcf.gz"
		File child_violation_sister_idx = "${child_name}.violation.sister.vcf.gz.tbi"
		File child_violation_nonsister = "${child_name}.violation.nonsister.vcf.gz"
		File child_violation_nonsister_idx = "${child_name}.violation.nonsister.vcf.gz.tbi"
		File child_consistent_sister = "${child_name}.consistent.sister.vcf.gz"
		File child_consistent_sister_idx = "${child_name}.consistent.sister.vcf.gz.tbi"
		File child_consistent_nonsister = "${child_name}.consistent.nonsister.vcf.gz"
		File child_consistent_nonsister_idx = "${child_name}.consistent.nonsister.vcf.gz.tbi"
		File violation_summary = "${child_name}.violation.summary.txt"
		File consistent_summary = "${child_name}.consistent.summary.txt"	
	}
}